Skip to main content
GET
Get 3DS DecisionGateway

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The unique identifier of an 3DS decision gateway

Response

3DS Decision Gateway details

card_products
string<uuid>[]
required

List of Card Product IDs that will use the 3DS decision gateway

creation_time
string<date-time>
required
read-only

The timestamp when the 3DS decision gateway was created

Example:

"2010-05-06T12:23:34.321Z"

decision_url
string<uri>
required

URL of the 3DS decision gateway

Maximum string length: 1000
fallback_decision
enum<string>
required

Possible decision responses when faced with a EMV 3-D Secure transaction.

Available options:
EXEMPT,
SMS_OTP
id
string<uuid>
required

The unique identifier of an 3DS decision gateway

is_active
boolean
required

The 3DS decision gateway will only be used if this is true.

last_updated_time
string<date-time>
required
read-only

The timestamp when the 3DS decision gateway was last modified

Example:

"2010-05-06T12:23:34.321Z"

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

custom_headers
object

These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.